<?php
################################################################################
# @Name : /core/message.php
# @Desc : page to send mail
# @call : /core/auto_mail.php 
# @parameters : $from, $to, $message, $object
# @Author : Flox
# @Create : 21/11/2012
# @Update : 23/01/2016
# @Version : 3.1.5
################################################################################

require("components/PHPMailer-5.2.13/PHPMailerAutoload.php"); 
$mail = new PHPmailer();
$mail->CharSet = 'UTF-8'; //ISO-8859-1 possible if characters problems
if ($rparameters['mail_smtp_class']=='IsSendMail()') {$mail->IsSendMail();} else {$mail->IsSMTP();} 
if($rparameters['mail_secure']=='SSL') 
{$mail->Host = "ssl://$rparameters[mail_smtp]";} 
elseif($rparameters['mail_secure']=='TLS') 
{$mail->Host = "tls://$rparameters[mail_smtp]";} 
else 
{$mail->Host = "$rparameters[mail_smtp]";}
$mail->SMTPAuth = $rparameters['mail_auth'];
if ($rparameters['debug']==1) $mail->SMTPDebug = 2;
if ($rparameters['mail_secure']!=0) $mail->SMTPSecure = $rparameters['mail_secure'];
if ($rparameters['mail_port']!=25) $mail->Port = $rparameters['mail_port'];
$mail->Username = "$rparameters[mail_username]";
$mail->Password = "$rparameters[mail_password]";
$mail->IsHTML(true); // Envoi en html
$mail->From = "$from";
$mail->FromName = "$from";
$mail->AddAddress("$to");
$mail->AddReplyTo("$from");
$mail->Subject = "$object";
$mail->Body = "$message";
if (!$mail->Send())
{
	echo '<div class="alert alert-block alert-danger"><center><i class="icon-remove red"></i> <b>Message non envoyé, vérifier la configuration de votre serveur de messagerie.</b> (';
		echo $mail->ErrorInfo;
	echo ')</center></div>';
}
$mail->SmtpClose();
?>