<?php
################################################################################
# @Name : stat_line.php
# @Desc : display line graphic
# @call : /stat.php
# @parameters : 
# @Author : Flox
# @Create : 06/10/2012
# @Update : 11/02/2016
# @Version : 3.1.6
################################################################################

if($_GET['tab']=='asset')
{
	$label_type='Matériels';
	$label_state1='installés';
	$label_state2='recyclés';
	$current='';
} else {
	$label_type='Tickets';
	$label_state1='ouverts';
	$label_state2='fermés';
	$current="/ <u>Total en cours:</u> $count3";
}
?>

<script type="text/javascript">
	$(function () {
		var chart1;
		$(document).ready(function() {
			chart1 = new Highcharts.Chart({
				chart: {
					renderTo: '<?php echo $container; ?>',
					type: 'line',
					marginRight: 130,
					marginBottom: 25,
					backgroundColor:'#EEE'
				},
				title: {
					text: '<?php echo $libchart; ?>',
					x: -20 //center
				},
				subtitle: {
					text: "<?php echo "<u>Total $label_state1:</u> $count / <u>Total $label_state2:</u> $count2  $current / <u>Total depuis le début:</u> $count4"; ?>",
					x: -20
				},
				xAxis: {
				allowDecimals:false
				},
				yAxis: {
					allowDecimals:false,
					title: {
						text: '<?php echo $liby; ?>'
					},
					plotLines: [{
						value: 0,
						width: 1,
						color: '#808080'
					}]
				},
				tooltip: {
					formatter: function() {
							return '<b>'+ this.series.name +'</b><br/>'+
							this.x +': '+ this.y +' <?php echo $label_type; ?>';
					}
				},
				legend: {
					layout: 'vertical',
					align: 'right',
					verticalAlign: 'top',
					x: -10,
					y: 100,
					borderWidth: 0
				},
				series: 
				[
				    {
    					name: '<?php echo $label_type.' '.$label_state1; ?>',
    					data: [
        					<?php
        					for($i=0;$i<sizeof($values1);$i++) 
							{ 
							    $last=sizeof($values1)-1;
						        if ($i!=$last) echo '['.$xnom1[$i].','.$values1[$i].'],'; else echo '['.$xnom1[$i].','.$values1[$i].']';
							} 
        					?>
    					]
				    },
				    {
				        name: '<?php echo $label_type.' '.$label_state2; ?> ',
    					data: [
        					<?php
        					for($i=0;$i<sizeof($values2);$i++) 
							{ 
							    $last=sizeof($values2)-1;
						        if ($i!=$last) echo '['.$xnom2[$i].','.$values2[$i].'],'; else echo '['.$xnom2[$i].','.$values2[$i].']';
							}
        					?>
    					]
				    }
				    
				]
			});
		});
	});
</script>
					