<?php
################################################################################
# @Name : ./core/export_assets.php.php
# @Desc : dump csv files of all assets
# @call : /stat.php
# @parameters : 
# @Author : Flox
# @Create : 11/02/2016
# @Update : 11/02/2016
# @Version : 3.1.6
################################################################################

//initialize variables 
if(!isset($_GET['token'])) $_GET['token'] = 'XXX'; 

//database connection
require "../connect.php"; 

//get last token
$query = $db->query("SELECT token FROM `ttoken` ORDER BY id DESC LIMIT 1");
$token=$query->fetch(); 
$query->closeCursor();

//truncate table
$query = $db->query("TRUNCATE TABLE `ttoken`");

//secure connect from athenticated user
if ($token['token']==$_GET['token'])
{
	//get current date
	$daydate=date('Y-m-d');

	// output headers so that the file is downloaded rather than displayed
	header("Content-Type: text/csv; charset=utf-8");
	header("Content-Disposition: attachment; filename=\"$daydate-GestSup-export-materiels.csv\"");

	//load parameters table
	$qparameters = $db->query("SELECT * FROM `tparameters`"); 
	$rparameters= $qparameters->fetch();
	$qparameters->closeCursor();

	//create a file pointer connected to the output stream
	$output = fopen('php://output', 'w');

	// output the column headings
	fprintf($output, chr(0xEF).chr(0xBB).chr(0xBF));
	fputcsv($output, array('Numéro du matériel', 'Numéro de serie constructeur', 'Numéro de commande', 'IP LAN', 'IP Wifi', 'Nom', 'Description', 'Type', 'Fabriquant', 'Modèle','Utilisateur', 'Etat', 'Adresse MAC LAN','Adresse MAC WIFI','Service', 'Date installation', 'Date stock', 'Date de Standbye', 'Date de recyclage', 'Numéro de prise', 'Technicien', 'Service de maintenance'),";");

	// fetch the data
	$query = $db->query('SELECT sn_internal,sn_manufacturer,sn_indent,ip,ip2,netbios,description,type,manufacturer,model,user,state,mac_lan,mac_wlan,department,date_install,date_stock,date_standbye,date_recycle,socket,technician,maintenance FROM tassets WHERE disable=0');

	// loop over the rows, outputting them
	while ($row = $query->fetch(PDO::FETCH_ASSOC)) 
	{
		//get data
		$query2=$db->query("SELECT name FROM tassets_type WHERE id LIKE '$row[type]' "); 
		$row2=$query2->fetch();
		$query2->closeCursor(); 
		$row['type']="$row2[0]";
		
		$query2=$db->query("SELECT name FROM tassets_manufacturer WHERE id LIKE '$row[manufacturer]' "); 
		$row2=$query2->fetch();
		$query2->closeCursor(); 
		$row['manufacturer']="$row2[0]";
		
		$query2=$db->query("SELECT name FROM tassets_model WHERE id LIKE '$row[model]' "); 
		$row2=$query2->fetch();
		$query2->closeCursor(); 
		$row['model']="$row2[0]";
		
		$query2=$db->query("SELECT firstname, lastname FROM tusers WHERE id LIKE '$row[user]' "); 
		$row2=$query2->fetch();
		$query2->closeCursor(); 
		$row['user']="$row2[0] $row2[1]";	
		
		$query2=$db->query("SELECT name FROM tassets_state WHERE id LIKE '$row[state]' "); 
		$row2=$query2->fetch();
		$query2->closeCursor(); 
		$row['state']="$row2[0]";	
		
		$query2=$db->query("SELECT name FROM tservices WHERE id LIKE '$row[department]' "); 
		$row2=$query2->fetch();
		$query2->closeCursor(); 
		$row['department']="$row2[0]";
		
		$query2=$db->query("SELECT firstname, lastname FROM tusers WHERE id LIKE '$row[technician]' "); 
		$row2=$query2->fetch();
		$query2->closeCursor(); 
		$row['technician']="$row2[0] $row2[1]";	
		
		$query2=$db->query("SELECT name FROM tservices WHERE id LIKE '$row[maintenance]' "); 
		$row2=$query2->fetch();
		$query2->closeCursor(); 
		$row['maintenance']="$row2[0]";

		fputcsv($output, $row,';');
	}
} else {
	echo "<font color=\"red\"><b>Acc&egrave;s a cette page interdite, contactez votre administrateur.</b></font>";	
}
$db = null;
?>